> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tree-nation.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tree-nation.com/_mcp/server.

# Get species details

GET https://tree-nation.com/api/species/{species_id}

Retrieve the full details about a species.

Reference: https://docs.tree-nation.com/api-reference/species/get-species

## Request

### Path parameters

- `species_id` (integer, required) — Species ID.

## Response

### 200

Full species detail including taxonomy and CO₂ data.

- `id` (integer, optional)
- `name` (string, optional)
- `project_id` (integer, optional)
- `life_time_CO2` (double, optional) — Estimated lifetime CO₂ sequestration in kg.
- `stock` (integer, optional) — Available stock. Only species with `stock > 0` can be used for planting.
- `price` (double, optional)
- `common_names` (string, optional, nullable)
- `family` (string, optional, nullable)
- `particularities` (string, optional, nullable)
- `planter_likes` (integer, optional, nullable)
- `height` (string, optional, nullable)
- `average_natural_life_span` (integer, optional, nullable)
- `co2_offset` (double, optional, nullable)
- `co2_offset_period` (string, optional, nullable)
- `image` (string, optional, nullable)
- `category` (TaxonomyRef, optional)
- `foliage_type` (TaxonomyRef, optional)
- `origin_type` (TaxonomyRef, optional)
- `price_per_tonne` (double, optional, nullable)

## Errors

### 404 Not Found Error

Species not found.

- `any`

## Types

### TaxonomyRef

- `id` (integer, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "id": 48,
  "name": "Teak",
  "project_id": 3,
  "life_time_CO2": 1.1,
  "stock": 1,
  "price": 1.1,
  "common_names": "string",
  "family": "string",
  "particularities": "string",
  "planter_likes": 1,
  "height": "string",
  "average_natural_life_span": 1,
  "co2_offset": 1.1,
  "co2_offset_period": "string",
  "image": "string",
  "category": {
    "id": 1,
    "name": "string"
  },
  "foliage_type": {
    "id": 1,
    "name": "string"
  },
  "origin_type": {
    "id": 1,
    "name": "string"
  },
  "price_per_tonne": 1.1
}
```

**SDK Code**

```python
import requests

url = "https://tree-nation.com/api/species/1"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://tree-nation.com/api/species/1';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tree-nation.com/api/species/1"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tree-nation.com/api/species/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://tree-nation.com/api/species/1")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://tree-nation.com/api/species/1');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tree-nation.com/api/species/1");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tree-nation.com/api/species/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```